.pretty-radio {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    position: relative;
    display: inline-block;

    &__input {
        @include visually-hidden();
    }

    &__label {
        color: #3a3a3a;
        font-size: rem(14);
        line-height: rem(20);
        position: relative;
        padding-left: rem(30);
        display: block;

        &::before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: rem(20);
            height: rem(20);
            display: block;
            position: absolute;
            border-radius: 50%;
            border: 1px solid $black;
        }

        &:after {
            top: rem(5);
            left: rem(5);
            z-index: 2;
            content: '';
            width: rem(10);
            height: rem(10);
            display: block;
            opacity: 0;
            visibility: hidden;
            position: absolute;
            background: $black;
            border-radius: 50%;
         //   transform: scale(3);
        }
    }


    &__input:checked + .pretty-radio__label {

        &::before {
            border-color: $black;
        }

        &::after {
            opacity: 1;
            visibility: visible;
           // transform: scale(1);
            transition : all 0.3s cubic-bezier(0.35, 0.9, 0.4, 0.9);
        }
    }

    &__input:disabled + .pretty-radio__label {
        opacity: 0.4;
    }
}
/*

.tn-radio {
    font-size: 0;
    line-height: 0;
    font-weight: 400;
    cursor: pointer;
    position: relative;
    display: block;

    &__input {
        @include visually-hidden();

        &:checked + .btn-radio__label {
            color: $white;
            font-weight: 600;
            background: #0078C3;
            border-color: #009FDF;
        }
    }

    &__label {
        color: $black;
        height: rem(38);
        font-size: rem(14);
        line-height: rem(18);
        padding: rem(4) rem(8);
        white-space: nowrap;
        background: #F8F8F8;
        border: 1px solid #F8F8F8;
        border-radius: rem(5);
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    &:hover {

        .btn-radio__label {
            border-color: #009FDF;
        }
    }

}

 */
